Skip to main content
POST
/
key-stores
/
{storeId}
/
onchain-sign
/
output
Submit Onchain Sign Output
curl --request POST \
  --url https://api.dfns.io/key-stores/{storeId}/onchain-sign/output \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-DFNS-USERACTION: <api-key>' \
  --form 'data={
  "fileChecksum": "<string>",
  "outputJson": {
    "type": "keystore-output",
    "version": 1,
    "org_id": "<string>",
    "fleet_id": "<string>",
    "keystore_id": "<string>",
    "group_id": "<string>",
    "outputs": {}
  }
}' \
  --form file='@example-file'
{}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

KeyStores:OnchainSignatures:Create: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

storeId
string
required
Minimum string length: 1

Body

multipart/form-data
data
object
required
file
file
required

Response

200 - application/json

Success

status
enum<string>
required
Available options:
success,
partial
Last modified on July 2, 2026